Problème lors de l\'installation

Recoupe toutes les discussions à propos de Noalyss
PegaseAile
Messages : 3
Enregistré le : mar. nov. 14, 2017 10:35 pm

Problème lors de l\'installation

Message par PegaseAile » mar. nov. 14, 2017 10:35 pm

Bonjour,

Je bloque sur un message lors de l\'install ...

le message est le suivant :

Mise à jour modèle
Patching (BE) Basique
Patching (FR) Basique
select val from version SQL ERROR select val from version Array

et il ne termine pas l\'install...

Quelqu\'un pourrait-il m\'aiguiller ?
J\'ai un server apache 2.2.13 et php 5.3.0 (si cela peut aider ... )

Un grand merci d\'avance.

P.

dany
Messages : 2181
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par dany » mar. nov. 14, 2017 10:35 pm

okay cela veut dire que la base de données n\'a pas été créé, sur quel OS ???

pourrais-tu faire un psql -l en ligne de commande ?

PegaseAile
Messages : 3
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par PegaseAile » mar. nov. 14, 2017 10:35 pm

Bonjour

c\'est sur du vista...

voilà le résultat de la commande

Liste des bases de donnÚes
Nom | PropriÚtaire | Encodage | Tri | Type caract.
| Droits d\'acc
--------------------+-------------+----------+-----------------+----------------
-+-----------------------
account_repository | phpcompta | UTF8 | French, Belgium | French, Belgium
|
mod1 | phpcompta | UTF8 | French, Belgium | French, Belgium
|
mod2 | phpcompta | UTF8 | French, Belgium | French, Belgium
|
phpcompta | postgres | UTF8 | French, Belgium | French, Belgium
|
postgres | postgres | UTF8 | French, Belgium | French, Belgium
|
template0 | postgres | UTF8 | French, Belgium | French, Belgium
| =c/postgres

: postgres=CTc/postgres
template1 | postgres | UTF8 | French, Belgium | French, Belgium
| =c/postgres

: postgres=CTc/postgres
(7 lignes)

Un grand merci d\'avance...

dany
Messages : 2181
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par dany » mar. nov. 14, 2017 10:35 pm

Bizarre, tu as utilisé le nouvel installeur et tu as malgré tout des erreurs ? Etrange, tu ne veux pas aider et décrire ce qui s\'est passé ???

Bref, détruits les bases de données mod1 mod2 et account_repository.

Puis efface c:\\phpcompta\\apache2\\htdocs\\phpcompta

Ensuite tu reprends décompresses, phpcompta dans c\\\\phpcompta\\apache2\\htdocs

Tiens nous au courant. Normalement l\'installeur devrait fonctionner sans aucune erreur, ton expérience est donc utile

PegaseAile
Messages : 3
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par PegaseAile » mar. nov. 14, 2017 10:35 pm

Voilà, j\'ai effacé les bases et j\'ai recommancé et maintenant c\'est nickel :)

Merci ...

al5308
Messages : 30
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par al5308 » mar. nov. 14, 2017 10:35 pm

Bonjour,

J\'ai installé la nouvelle version 5.1.
Toutefois, lorque je veux charger un de mes dossiers il me donne l\'erreur suivante :
Fatal error: Uncaught exception \'Exception\' with message \'Attention select val from version retourne plusieurs valeurs\' in C:\\phpcompta\\apache2\\htdocs\\phpcompta\\include\\class_database.php:392 Stack trace: #0 C:\\phpcompta\\apache2\\htdocs\\phpcompta\\include\\class_dossier.php(198): Database->get_value(\'select val from...\') #1 C:\\phpcompta\\apache2\\htdocs\\phpcompta\\html\\access.php(73): dossier::get_version(Object(Database)) #2 {main} thrown in C:\\phpcompta\\apache2\\htdocs\\phpcompta\\include\\class_database.php on line 392

En voyez-vous la raison?

Merci d\'avance.

dany
Messages : 2181
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par dany » mar. nov. 14, 2017 10:35 pm

Oui le dossier est trop grop, peux-tu repasser par html/admin/setup.php et ensuite me montrer ce que tu as dans ton phpcompta/html/.htaccess ? quel est la taille de ton fichier DMP ?

al5308
Messages : 30
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par al5308 » mar. nov. 14, 2017 10:35 pm

J\'ai relancé le setup mais lorsque je clique sur mise à jour il me remet le même message d\'erreur.
le contenu du fichier .htacces =
php_value include_path .;..\\..\\include;..\\include;addon
php_flag magic_quotes_gpc off
php_flag session.auto_start on
php_value max_execution_time 240
php_value memory_limit 20M
AddDefaultCharset utf-8
php_value error_reporting 10239
php_value post_max_size 20M
php_flag short_open_tag on
php_value upload_max_filesize 20M
php_value session.use_trans_sid 1
php_value session.use_cookies 1
php_flag session.use_only_cookies on

Pour te donner la taille du dossier DMP je devrai savoir ou il se trouve.

dany
Messages : 2181
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par dany » mar. nov. 14, 2017 10:35 pm

Le fichier DMP (dump) est le fichier que tu veux restaurer :-)

al5308
Messages : 30
Enregistré le : mar. nov. 14, 2017 10:35 pm

Re:Problème lors de l\'installation

Message par al5308 » mar. nov. 14, 2017 10:35 pm

tout petit : 438 ko.

Mais je n\'essaye pas de le restaurer.
Lorque j\'entre dans phpcompta je me retrouve dans la page d\'accueil avec la liste de mes dossiers et lorsque je veux entrer dans un de ceux-ci il me met le message d\'erreur noté tout à l\'heure.
Je n\'ai que 2 dossiers :
mon dossier principal avec uniquement des OD de réouverture et une copie test dans lequel j\'ai fait 2, 3 essais d\'achats et ventes pour paramétrer ma déclaration TVA.
Avec l\'ancienne version (5.0-3121) il n\'y avait aucun problème même pour faire un backup et un restaure.

Répondre